> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post applicationlogin

> Performs an application log in. Applications must log into the System before any user may log in. The
application must be associated with an Authentication Domain to be able to log in. Optionally, the application may
provide the account credentials of the Account to associate with the Application instance.

Upon successful login, the Application Auth response will include an authentication token which will be required in
subsequent calls to the system as a value of the **AQOB-AppAuthToken** HTTP header.

This operation requires a AppAuthRequest value which may include
optional Account login credentials.

This operation returns a AppAuthResponse value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /application/login
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /application/login:
    post:
      tags:
        - ApplicationLoginService
      description: >-
        Performs an application log in. Applications must log into the System
        before any user may log in. The

        application must be associated with an Authentication Domain to be able
        to log in. Optionally, the application may

        provide the account credentials of the Account to associate with the
        Application instance.


        Upon successful login, the Application Auth response will include an
        authentication token which will be required in

        subsequent calls to the system as a value of the **AQOB-AppAuthToken**
        HTTP header.


        This operation requires a AppAuthRequest value which may include

        optional Account login credentials.


        This operation returns a AppAuthResponse value.
      operationId: loginApplication
      parameters: []
      requestBody:
        description: ': AppAuthRequest'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  accountPassword: ...
                  appLogin: ...
                  accountLogin: ...
                  appPassword: ...
            schema:
              $ref: '#/components/schemas/AppAuthRequest'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    appName: ...
                    accountName: ...
                    forumList:
                      - languageTagKey: ...
                        sysid: 12345
                        name: ...
                      - languageTagKey: ...
                        sysid: 12345
                        name: ...
                    authToken: ...
                    sysidAccount: 12345
                    sysidApplication: 12345
              schema:
                $ref: '#/components/schemas/AppAuthResponse'
          description: >-
            AppAuthResponse (or Response(AgilquestExceptionData) if there are
            any Agilquest.com Exceptions)
components:
  schemas:
    AppAuthRequest:
      type: object
      title: AppAuthRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accountPassword:
              type: string
            appLogin:
              type: string
            accountLogin:
              type: string
            appPassword:
              type: string
      example:
        accountPassword: ...
        appLogin: ...
        accountLogin: ...
        appPassword: ...
    AppAuthResponse:
      type: object
      title: AppAuthResponse
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            appName:
              type: string
            accountName:
              type: string
            forumList:
              type: array
              items:
                $ref: '#/components/schemas/CodeTableData'
            authToken:
              type: string
            sysidAccount:
              type: integer
              format: int32
            sysidApplication:
              type: integer
              format: int32
      example:
        appName: ...
        accountName: ...
        forumList:
          - languageTagKey: ...
            sysid: 12345
            name: ...
          - languageTagKey: ...
            sysid: 12345
            name: ...
        authToken: ...
        sysidAccount: 12345
        sysidApplication: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    CodeTableData:
      type: object
      title: CodeTableData
      required:
        - sysid
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            languageTagKey:
              type: string
            sysid:
              type: integer
              format: int32
            name:
              type: string
      example:
        languageTagKey: ...
        sysid: 12345
        name: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````